Bug 1665761 - [abrt] imsettings: g_mutex_lock(): imsettings-daemon killed by SIGSEGV
Summary: [abrt] imsettings: g_mutex_lock(): imsettings-daemon killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1697211
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:306ca4522cde8dfac2023cfb132...
: 1670447 1695035 1721261 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-13 20:51 UTC by Joao Marcos Floriano
Modified: 2019-09-24 10:46 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-24 10:46:10 UTC


Attachments (Terms of Use)
File: backtrace (22.45 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: cgroup (365 bytes, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: core_backtrace (9.62 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: cpuinfo (1.10 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: dso_list (2.67 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: environ (509 bytes, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: exploitable (127 bytes, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: limits (1.29 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: maps (17.08 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: mountinfo (3.35 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: open_fds (456 bytes, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2019-01-13 20:51 UTC, Joao Marcos Floriano
no flags Details

Description Joao Marcos Floriano 2019-01-13 20:51:12 UTC
Description of problem:
I logged into Fedora and its error sequence was reported. I did not run or open any application

Version-Release number of selected component:
imsettings-1.7.3-6.fc29

Additional info:
reporter:       libreport-2.9.7
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=79f49ceccf4744e99f013bda7b2b469e;i=6e1;b=35544eed6b7b4c5591e1c02456652103;m=1185506c;t=57f5ce41b707e;x=50618820333031c0
kernel:         4.19.13-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mutex_lock at gthread-posix.c:1343
 #1 xfconf_cache_set_property_reply_handler at xfconf-cache.c:608
 #2 g_task_return_now at gtask.c:1148
 #3 g_task_return at gtask.c:1206
 #4 reply_cb at gdbusproxy.c:2586
 #5 g_task_return_now at gtask.c:1148
 #6 g_task_return at gtask.c:1206
 #7 g_dbus_connection_call_done at gdbusconnection.c:5713
 #8 g_task_return_now at gtask.c:1148
 #9 complete_in_idle_cb at gtask.c:1162

Comment 1 Joao Marcos Floriano 2019-01-13 20:51:15 UTC
Created attachment 1520366 [details]
File: backtrace

Comment 2 Joao Marcos Floriano 2019-01-13 20:51:16 UTC
Created attachment 1520367 [details]
File: cgroup

Comment 3 Joao Marcos Floriano 2019-01-13 20:51:18 UTC
Created attachment 1520368 [details]
File: core_backtrace

Comment 4 Joao Marcos Floriano 2019-01-13 20:51:19 UTC
Created attachment 1520369 [details]
File: cpuinfo

Comment 5 Joao Marcos Floriano 2019-01-13 20:51:20 UTC
Created attachment 1520370 [details]
File: dso_list

Comment 6 Joao Marcos Floriano 2019-01-13 20:51:21 UTC
Created attachment 1520371 [details]
File: environ

Comment 7 Joao Marcos Floriano 2019-01-13 20:51:22 UTC
Created attachment 1520372 [details]
File: exploitable

Comment 8 Joao Marcos Floriano 2019-01-13 20:51:24 UTC
Created attachment 1520373 [details]
File: limits

Comment 9 Joao Marcos Floriano 2019-01-13 20:51:25 UTC
Created attachment 1520374 [details]
File: maps

Comment 10 Joao Marcos Floriano 2019-01-13 20:51:26 UTC
Created attachment 1520375 [details]
File: mountinfo

Comment 11 Joao Marcos Floriano 2019-01-13 20:51:28 UTC
Created attachment 1520376 [details]
File: open_fds

Comment 12 Joao Marcos Floriano 2019-01-13 20:51:29 UTC
Created attachment 1520377 [details]
File: proc_pid_status

Comment 13 Jonas holm 2019-01-29 14:51:56 UTC
*** Bug 1670447 has been marked as a duplicate of this bug. ***

Comment 14 Akira TAGOH 2019-01-31 06:21:08 UTC
Hmm, this seems the race. this happens only on first boot or can be reproduced after removing $HOME/.config/xfce4 though, it can't if delaying the invocation of imsettings-switch in /etc/X11/xinit/xinitrc.d/50-xinput.sh.

The attached backtrace is useless. it is hard to track things down why this happened. needing to investigate further more.

Comment 15 Alessio 2019-03-01 13:11:01 UTC
Similar problem has been detected:

XFCE first login

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=b5eb81a13e444da8ad47a0597c08efe0;i=c2c;b=d357b68d5a694b0698c327f14aed42fa;m=248f1a6;t=5830812832d68;x=94e00a376f21eb63
kernel:         4.20.12-200.fc29.x86_64
package:        imsettings-1.7.3-6.fc29
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Akira TAGOH 2019-04-09 09:17:29 UTC
*** Bug 1695035 has been marked as a duplicate of this bug. ***

Comment 17 Mario Junior 2019-04-30 04:07:49 UTC
Similar problem has been detected:

Após fazer login depois da instalação, o sistema retornou esse erro depois de carregada a área de trabalho. Não sei o que causou o erro.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=df26f519ebbd44e8a1aabbe97fff5154;i=746;b=68d8015a711d4e63956c0aeb6664aed5;m=14850ca;t=587b76dd7a1ed;x=e71e89220b4cf435
kernel:         5.0.9-301.fc30.x86_64
package:        imsettings-1.8.1-1.fc30
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 William Gabella 2019-05-06 22:18:37 UTC
Similar problem has been detected:

I logged into my FEdora 30 computer and swtiched the GUI from KDE to Xfce Desktop.  The Xfce came up with this error and report.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=4040b3ce131c46e0a09fdd0709079789;i=5ab2;b=406e8e368d06411292a655983991c8ae;m=5efe3a8;t=5883f6b961eca;x=66cf24db5224ed9
kernel:         5.0.11-300.fc30.x86_64
package:        imsettings-1.8.1-1.fc30
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 my_linux 2019-05-23 12:18:12 UTC
Similar problem has been detected:

On first login after Netinstall used to setup XFCE desktop

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=86964cdc8f4b49bbac13d35f20437304;i=873;b=066562462610479cb922725804b0e00f;m=39280c4;t=5898c5978737e;x=2fc3d0827e436d60
kernel:         5.0.16-300.fc30.x86_64
package:        imsettings-1.8.1-1.fc30
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 chuck elliot 2019-06-13 12:43:11 UTC
Similar problem has been detected:

occurs during sytem boot.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=62661c384dc140e0a3895d4ec9c5870e;i=4f2b;b=fec4efbea6f84b89bbe720e744d29d13;m=4c4c802;t=58b33b5f7ac85;x=d5fd50693c11d7cd
kernel:         5.1.8-200.fc29.x86_64
package:        imsettings-1.7.3-6.fc29
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Comment 21 RobbieTheK 2019-06-21 14:07:10 UTC
Similar problem has been detected:

logging in with X2Go and MATE

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=8b807c39ea574ecb9c1cf8ebfaec02f8;i=519bbd;b=9dbee08a059a4eb789726a1bdf21b994;m=1d74de64318;t=58bd582b9b9c8;x=b400caa7e64d98d0
kernel:         5.0.17-300.fc30.x86_64
package:        imsettings-1.8.1-1.fc30
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            6105

Comment 22 Brian Tague 2019-08-15 17:05:31 UTC
Similar problem has been detected:

I installed the xfce desktop using sudo dnf groupinstall "xfce desktop" ; sudo reboot. I selected xfce desktop session at the next log in. Immediately this error prompt appeared. 

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
crash_function: g_mutex_lock
executable:     /usr/libexec/imsettings-daemon
journald_cursor: s=8f36b6b884a6444da047d5458e6919ab;i=3fe6;b=8f33d0cfed894cb08c76d0c4c0d9ac80;m=1389cfdc;t=5902aa2620630;x=444dd321f907b308
kernel:         5.2.7-200.fc30.x86_64
package:        imsettings-1.8.1-1.fc30
reason:         imsettings-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Akira TAGOH 2019-09-02 11:41:50 UTC
*** Bug 1721261 has been marked as a duplicate of this bug. ***

Comment 24 Akira TAGOH 2019-09-24 10:46:10 UTC

*** This bug has been marked as a duplicate of bug 1697211 ***


Note You need to log in before you can comment on or make changes to this bug.